{% if has_features -%}
{{ "\t"*indent }}{{ opt }}{{ feature_name }} {
{{ "\t"*(indent+1) }}group {{ group_type }} {
{{ features }}
{{ "\t"*(indent+1) }}}
{{ "\t"*indent }}},
{% elif has_attributes -%}
{{ "\t"*indent }}{{ opt }}{{ feature_name }} {
{{ attributes }}
{{ "\t"*indent }}},
{% elif has_constraint -%}
{{ "\t"*indent }}{{ opt }}{{ feature_name }} {
{{ constraint }}
{{ "\t"*indent }}},
{% else -%}
{{ "\t"*indent }}{{ opt }}{{ feature_name }},
{% endif %}